Bug 595688 - RHN client tools: rhn_register shows busy cursor after clicking back
RHN client tools: rhn_register shows busy cursor after clicking back
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Michael Mráka
Petr Sklenar
:
Depends On: 595679 649208
Blocks: 649233 670458
  Show dependency treegraph
 
Reported: 2010-05-25 07:36 EDT by Michael Mráka
Modified: 2011-01-18 06:17 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595679
: 649233 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2010-05-25 07:36:37 EDT
+++ This bug was initially created as a clone of Bug #595679 +++

Description of problem:
After failed RHN login rhn_register (GUI) still shows busy cursor even if error message has been acknowledged by pressing 'Ok' and even if 'Back' has been clicked.

Version-Release number of selected component (if applicable):
# rpm -q rhn-client-tools rhn-setup rhn-setup-gnome
rhn-client-tools-0.4.20-33.el5_5.1.noarch
rhn-setup-0.4.20-33.el5_5.1.noarch
rhn-setup-gnome-0.4.20-33.el5_5.1.noarch


How reproducible:
always

Steps to Reproduce:
1. run rhn_register
2. click through to 'Choose an update location' page
3. check 'Red Hat Network'
4. fill wrong username/password and click Forward
5. ack the error message window witk 'Ok'
6. press 'Back'
  
Actual results:
in 5. cursor stays BUSY
in 6. cursor stays BUSY

Expected results:
normal (LEFT ARROW?) cursor

Additional info:
pressing Back and Forward resets cursor to normal
Comment 1 RHEL Product and Program Management 2010-05-25 07:56:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Michael Mráka 2010-05-26 08:28:36 EDT
Fixed in Spacewalk master
commit 3a2d03ff88a968f553e204588c39241ed1803d05
    595688 - cancel busy cursor after ValidationError
Comment 4 Michael Mráka 2010-05-26 08:29:38 EDT
Cherry-picked to satellite.git CLIENT-RHEL-6
commit 8459e557743a9f2d3e510fe54c3d10e4b67e3983
    595688 - cancel busy cursor after ValidationError
Comment 5 Michael Mráka 2010-05-26 08:32:16 EDT
Fixed  in package rhn-setup-gnome-1.0.0-14.el6.
Comment 7 Petr Sklenar 2010-07-08 09:38:13 EDT
test procedure in Comment 0
rhn_register (GUI) 
rhel55,rhn-client-tools-0.4.20-33.el5  FAILed
rhel6, rhn-client-tools-1.0.0-24.el6.noarch PASSed
--
verified in RHEL6.0-20100706.n.0_nfs-Server-x86_64
Comment 8 Martin Minar 2010-11-03 04:19:02 EDT
There is still bug when selecting general satellite instead of Red Hat Network. Original bug was cloned as bug 649208. This bug is cloned as bug 649233.
Comment 9 releng-rhel@redhat.com 2010-11-10 16:30:00 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.